Skip to content
POST/{organizationId}/{mandateId}/booking/events/{eventId}/duplicate

Duplicate event

Creates a new event based on a specific event for a given mandate

Required permissions:

  • mandate.read

  • event.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
eventIdstringrequired

Request Body required

Content-Type: application/json

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/events/{eventId}/duplicate
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/duplicate' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "info": {
    "title": "string"
  },
  "schedule": {
    "timezone": "string"
  },
  "period": {
    "from": "2026-06-15T22:30:00Z",
    "to": "2026-06-15T22:30:00Z"
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "inserted": [
    "000000000000000000000001"
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}